/*
 * Exclusion.h
 *
 * Copyright Notice: see copyright.txt
 *
 * Date: 3/8/2012 (D/M/Y)
 * Author: Dmitrij Lioubartsev
 * Email: dmitrijl42@gmail.com
 *
 * This is a simple class for parsing and storing an exclusion,
 * used for stopping certain patterns to occur in the atomic
 * structure after substitution.
 */

#ifndef EXCLUSION_H_
#define EXCLUSION_H_

#include <string>
using namespace std;

#define DOESNT_MATTER "N/A"

class Exclusion {
private:
	string first;
	string binder;
	string second;

public:

	Exclusion(string excludeString);
	virtual ~Exclusion();

	string getFirst() {return first;}
	string getSecond() {return second;}
	string getBinder() {return binder;}
};

#endif /* EXCLUSION_H_ */
